Subject: bug#45200: Memory leaks: (garbage-collect) fails to reclaim memory

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Dec 2020 23:59:32 +0100

Konstantin Kharlamov <[email-masked]> writes:

> The loop takes 20-30 seconds for me, I think. PSS before is ≈41M, and
> PSS after is 266.3M. That is ≈200M of memory just vanished.

I get similar results.  `M-x memory-report' shows that *Messages* and
*Echo Area* each group to 9MB, and almost all of that is in `gap-size'.

But that's still a long way from 200MB.  Perhaps Emacs is bouncing the
buffer area around a lot and isn't returning the data to the OS?  (Does
Emacs ever return memory used by buffers to the OS?)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no